Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003016 [DCSS] Bug Report minor always 2010-12-22 08:25 2014-09-28 23:15
Reporter OG17 View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status resolved   Product Branch 0.8 ancient branch
Summary 0003016: A character can't memorize temporarily useless spells, vampire spells aren't marked as unusable
Description A player in lichform is unable to memorize spells that don't work in lichform (eg regeneration, borg, stoneskin) and the spells are greyed out as useless, despite their being useful outside of lichform. Necromutation itself is blocked as well, despite being recastable in its own form.

Bloodless vampires are a mix - for example, they're not able to learn borg, death's door, or necromutation, but they are able to learn the other "unusable" forms. This learnable temporarily-unusable set of spells isn't marked in any way - they all look currently usable in books, the memorization list, and in the actual spell screen.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0027372)
PleasingFungus (administrator)
2014-09-28 23:15

Should be fixed now.

- Issue History
Date Modified Username Field Change
2010-12-22 08:25 OG17 New Issue
2014-09-21 20:14 wheals Status new => assigned
2014-09-21 20:14 wheals Assigned To => PleasingFungus
2014-09-28 23:15 PleasingFungus Note Added: 0027372
2014-09-28 23:15 PleasingFungus Status assigned => resolved
2014-09-28 23:15 PleasingFungus Fixed in Branch => 0.16 development branch
2014-09-28 23:15 PleasingFungus Resolution open => done


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker